Subject: Re: [PATCH v4 30/31] CI: have osx-gcc use gcc, not clang

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Apr 2022 01:13:24 -0700

Phillip Wood <[email-masked]> writes:

> On 18/04/2022 17:29, Ævar Arnfjörð Bjarmason wrote:
>> Fix a regression in 707d2f2fe86 (CI: use "$runs_on_pool", not
>> "$jobname" to select packages & config, 2021-11-23). In that commit I
>> changed CC=gcc from CC=gcc-9, but on OSX the "gcc" in $PATH points to
>> clang, we need to use gcc-9 instead.
>
> As this is fixing a bug in master, perhaps it would be better as a
> separate patch that can be merged before this series (this series
> could be rebased on to the fix)

Yeah, that sounds quite sensible.

Or perhaps start from 'master', merge this (and other fixes, if
there are, in this series), merge Dscho's CI updates and then use
that as an updated base?